import { PublicKey } from '@solana/web3.js';
import { CypherClient } from '../client';
import { OracleProductsState } from '../types';
import { CreateOracleProductsArgs } from '../types/on-chain';
export declare class OracleProducts {
    readonly address: PublicKey;
    readonly state: OracleProductsState;
    constructor(address: PublicKey, state: OracleProductsState);
    static create(client: CypherClient, cacheAccount: PublicKey, authority: PublicKey, oracleAddrs: PublicKey[], args: CreateOracleProductsArgs): Promise<{
        oracleProducts: PublicKey;
        ixs: import("@solana/web3.js").TransactionInstruction[];
        signers: any[];
    }>;
    static load(client: CypherClient, address: PublicKey): Promise<OracleProducts>;
}
