import { PublicKey } from '@solana/web3.js';
import { CypherClient } from '../client';
import { I80F48 } from '@blockworks-foundation/mango-client';
import type { CypherSubAccountState, StateUpdateHandler } from '../types';
import { CacheAccount } from './cacheAccount';
import { SpotPosition } from '../viewers/spotPosition';
import { DerivativePosition } from '../viewers/derivativePosition';
export declare class CypherSubAccount {
    readonly client: CypherClient;
    readonly address: PublicKey;
    state: CypherSubAccountState;
    private _onStateUpdate?;
    constructor(client: CypherClient, address: PublicKey, state: CypherSubAccountState, _onStateUpdate?: StateUpdateHandler<CypherSubAccountState>);
    static create(client: CypherClient, authority: PublicKey, masterAccount: PublicKey, accountNumber?: number, accountAlias?: number[]): Promise<{
        subAccount: PublicKey;
        ixs: import("@solana/web3.js").TransactionInstruction[];
        signers: any[];
    }>;
    static load(client: CypherClient, address: PublicKey, onStateUpdateHandler?: StateUpdateHandler<CypherSubAccountState>): Promise<CypherSubAccount>;
    getSpotPosition(tokenMint: PublicKey): SpotPosition;
    getSpotPositions(): SpotPosition[];
    getDerivativePosition(market: PublicKey): DerivativePosition | null;
    getDerivativePositions(): DerivativePosition[];
    getAssetsValue(cacheAccount: CacheAccount): I80F48;
    getLiabilitiesValue(cacheAccount: CacheAccount): I80F48;
    subscribe(): void;
    unsubscribe(): Promise<void>;
}
